// **********************************************************************
//
// Copyright (c) 2008-2023 VCI-Tech, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described the
// ICE_LICENSE file included this distribution.
//
// **********************************************************************

#pragma once

#include "01-common.ice"

[["java:package:com.vci.corba"]]
["cs:namespace:com.vci.corba"]

// module com {
// module vci {
// module corba {
module gloablequery {
	interface DBGloableQueryService{
		//增加查询关键字
		bool addDBKeyWords(string indexbaseid,common::data::StringArray word, string methodType)throws common::VCIError;
		void initDataIndexes(string indexbaseid)throws common::VCIError;
		string searchData(string queryCondition,string orderCondition,string indexbaseid)throws common::VCIError;
		string searchPageData(string queryCondition,string orderCondition,string indexbaseid, long pageNo, long pageSize)throws common::VCIError;
	};//interface
}//gloablequery
// }}}